<?php
require_once(__DIR__ . '/../inc/config.php');
require_once(__DIR__ . '/_admin_inc.php'); // checks session and user id; die() if not admin
require_once(__DIR__ . '/../translations/admin_translations/trans-settings.php');
?>
<?php
// init vars
$admin_email              = '';
$dev_email                = '';
$smtp_server              = '';
$smtp_user                = '';
$smtp_pass                = '';
$smtp_port                = '';
$google_key               = '';
$items_per_page           = '';
$site_name                = '';
$country_name             = '';
$default_country_code     = '';
$default_city_slug        = '';
$default_loc_id           = '';
$timezone                 = '';
$default_lat              = '';
$default_lng              = '';
$html_lang                = '';
$max_pics                 = '';
$paypal_merchant_id       = '';
$paypal_bn                = '';
$paypal_checkout_logo_url = '';
$currency_code            = '';
$currency_symbol          = '';
$paypal_locale            = '';
$notify_url               = '';
$paypal_mode              = '';
$paypal_sandbox_merch_id  = '';

// get merchant id
$query = "SELECT * FROM config";
$stmt = $conn->prepare($query);
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	if($row['property'] == 'admin_email') {
		$admin_email = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'dev_email') {
		$dev_email = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'smtp_server') {
		$smtp_server = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'smtp_user') {
		$smtp_user = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'smtp_pass') {
		$smtp_pass = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'smtp_port') {
		$smtp_port = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'google_key') {
		$google_key = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'items_per_page') {
		$items_per_page = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'site_name') {
		$site_name = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'country_name') {
		$country_name = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'default_country_code') {
		$default_country_code = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'default_city_slug') {
		$default_city_slug = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'default_loc_id') {
		$default_loc_id = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'timezone') {
		$timezone = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'default_lat') {
		$default_lat = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'default_lng') {
		$default_lng = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'html_lang') {
		$html_lang = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'max_pics') {
		$max_pics = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'paypal_merchant_id') {
		$paypal_merchant_id = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'paypal_bn') {
		$paypal_bn = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'paypal_checkout_logo_url') {
		$paypal_checkout_logo_url = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'currency_code') {
		$currency_code = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'currency_symbol') {
		$currency_symbol = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'paypal_locale') {
		$paypal_locale = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'notify_url') {
		$notify_url = (!empty($row['value'])) ? $row['value'] : '';
	}

	if($row['property'] == 'paypal_mode') {
		$paypal_mode = (isset($row['value'])) ? $row['value'] : 1;
	}

	if($row['property'] == 'paypal_sandbox_merch_id') {
		$paypal_sandbox_merch_id = (!empty($row['value'])) ? $row['value'] : '';
	}
}

// sanitize
$admin_email              = e($admin_email);
$dev_email                = e($dev_email);
$smtp_server              = e($smtp_server);
$smtp_user                = e($smtp_user);
$smtp_pass                = e($smtp_pass);
$smtp_port                = e($smtp_port);
$google_key               = e($google_key);
$items_per_page           = e($items_per_page);
$site_name                = e($site_name);
$country_name             = e($country_name);
$default_country_code     = e($default_country_code);
$default_city_slug        = e($default_city_slug);
$default_loc_id           = e($default_loc_id);
$timezone                 = e($timezone);
$default_lat              = e($default_lat);
$default_lng              = e($default_lng);
$html_lang                = e($html_lang);
$max_pics                 = e($max_pics);
$paypal_merchant_id       = e($paypal_merchant_id);
$paypal_bn                = e($paypal_bn);
$paypal_checkout_logo_url = e($paypal_checkout_logo_url);
$currency_code            = e($currency_code);
$currency_symbol          = e($currency_symbol);
$paypal_locale            = e($paypal_locale);
$notify_url               = e($notify_url);
$paypal_mode              = e($paypal_mode);
$paypal_sandbox_merch_id  = e($paypal_sandbox_merch_id);

// valid timezones
$timezone_identifiers = DateTimeZone::listIdentifiers();

// valid paypal locales
$paypal_locale_identifiers = array(
	'AU', 'AT', 'BE', 'BR', 'CA', 'CH', 'CN', 'DE', 'ES', 'GB', 'FR', 'IT', 'NL', 'PL', 'PT', 'RU', 'US', 'da_DK', 'he_IL', 'id_ID', 'ja_JP', 'no_NO', 'pt_BR', 'ru_RU', 'sv_SE', 'th_TH', 'tr_TR', 'zh_CN', 'zh_HK', 'zh_TW');

// radio buttons
$checked_live    = '';
$checked_sandbox = '';
if($paypal_mode == 1) $checked_live    = 'checked';
if($paypal_mode == 0) $checked_sandbox = 'checked';
?>
<!DOCTYPE html>
<!--[if IE 9]><html class="lt-ie10" lang="<?= $html_lang; ?>" > <![endif]-->
<html lang="<?= $html_lang; ?>" >
<head>
<title><?= $txt_html_title; ?> - <?= $site_name; ?></title>
<?php require_once(__DIR__ . '/_admin_html_head.php'); ?>
<style>

</style>
</head>
<body class="admin-settings">
<?php require_once(__DIR__ . '/_admin_header.php'); ?>

<div class="wrapper">
	<div class="menu-box">
		<?php require_once('_admin_menu.php'); ?>
	</div>

	<div class="main-container">
		<h2><?= $txt_main_title; ?></h2>

		<div class="padding">
			<div class="block">
				<ul class="nav nav-tabs" role="tablist" id="settingsTabs">
					<li role="presentation" class="active"><a href="#general" aria-controls="general" role="tab" data-toggle="tab"><?= $txt_tab_general; ?></a></li>
					<li role="presentation"><a href="#email" aria-controls="email" role="tab" data-toggle="tab"><?= $txt_tab_email; ?></a></li>
					<li role="presentation"><a href="#apis" aria-controls="apis" role="tab" data-toggle="tab"><?= $txt_tab_apis; ?></a></li>
					<li role="presentation"><a href="#payment" aria-controls="apis" role="tab" data-toggle="tab"><?= $txt_tab_payment; ?></a></li>
				</ul>
			</div>

			<!-- Tab panes -->
			<form method="post" action="admin-process-settings.php">
				<div class="block tab-content">
					<!-- GENERAL SETTINGS TAB -->
					<div role="tabpanel" class="tab-pane active" id="general">
						<div class="form-row">
							<strong><?= $txt_site_name; ?></strong>
							<input type="text" id="site_name" name="site_name" class="form-control" value="<?= $site_name; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_html_lang; ?></strong><br>
							<?= $txt_html_lang_explain; ?>
							<input type="text" id="html_lang" name="html_lang" class="form-control" value="<?= $html_lang; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_country_name; ?></strong><br>
							<?= $txt_country_name_explain; ?>
							<input type="text" id="country_name" name="country_name" class="form-control" value="<?= $country_name; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_country_code; ?></strong><br>
							<a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2" target="_blank"><?= $txt_country_code_explain; ?>
							<input type="text" id="default_country_code" name="default_country_code" class="form-control" value="<?= $default_country_code; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_default_city_id; ?></strong><br>
							<?= $txt_default_city_id_explain; ?>
							<input type="text" id="default_loc_id" name="default_loc_id" class="form-control" value="<?= $default_loc_id; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_default_city_slug; ?></strong><br>
							<?= $txt_default_city_slug_explain; ?>
							<input type="text" id="default_city_slug" name="default_city_slug" class="form-control" value="<?= $default_city_slug; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_items_per_page; ?></strong><br>
							<?= $txt_items_per_page_explain; ?>
							<input type="text" id="items_per_page" name="items_per_page" class="form-control" value="<?= $items_per_page; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_max_pics; ?></strong><br>
							<?= $txt_max_pics_explain; ?>
							<input type="text" id="max_pics" name="max_pics" class="form-control" value="<?= $max_pics; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_timezone; ?>Timezone</strong><br>
							<?= $txt_timezone_explain; ?>
							<select id="timezone" name="timezone" class="form-control">
								<?php
								foreach($timezone_identifiers as $v) {
									$selected = '';
									if($v == $timezone) $selected = 'selected'
									?>
									<option value="<?= $v; ?>" <?= $selected; ?>><?= $v; ?></option>
									<?php
								}
								?>
							</select>
						</div>

						<div class="form-row">
							<strong><?= $txt_default_lat; ?></strong><br>
							<input type="text" id="default_lat" name="default_lat" class="form-control" value="<?= $default_lat; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_default_lng; ?></strong><br>
							<input type="text" id="default_lng" name="default_lng" class="form-control" value="<?= $default_lng; ?>" />
						</div>
					</div><!-- <div role="tabpanel" class="tab-pane active" id="general"> -->

					<!-- EMAIL SETTINGS TAB -->
					<div role="tabpanel" class="tab-pane" id="email">
						<div class="form-row">
							<strong><?= $txt_admin_email; ?></strong>
							<input type="text" id="admin_email" name="admin_email" class="form-control" value="<?= $admin_email; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_dev_email; ?></strong>
							<input type="text" id="dev_email" name="dev_email" class="form-control" value="<?= $dev_email; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_smtp_server; ?></strong>
							<input type="text" id="smtp_server" name="smtp_server" class="form-control" value="<?= $smtp_server; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_smtp_user; ?></strong>
							<input type="text" id="smtp_user" name="smtp_user" class="form-control" value="<?= $smtp_user; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_smtp_pass; ?></strong>
							<input type="text" id="smtp_pass" name="smtp_pass" class="form-control" value="<?= $smtp_pass; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_smtp_port; ?></strong>
							<input type="text" id="smtp_port" name="smtp_port" class="form-control" value="<?= $smtp_port; ?>" />
						</div>
					</div>

					<!-- APIS SETTINGS TAB -->
					<div role="tabpanel" class="tab-pane" id="apis">
						<div class="form-row">
							<strong><?= $txt_gmaps_key; ?></strong><br>
							<?= $txt_gmaps_key_explain; ?>
							<input type="text" id="google_key" name="google_key" class="form-control" value="<?= $google_key; ?>" />
						</div>
					</div><!-- .tab-pane -->

					<!-- PAYMENT SETTINGS TAB -->
					<div role="tabpanel" class="tab-pane" id="payment">
						<div class="form-row">
							<strong><?= $txt_paypal_mode; ?></strong><br>
							<input type="radio" id="paypal_mode_live" name="paypal_mode" value="1" <?= $checked_live; ?>>
							<label for="paypal_mode_live"><?= $txt_live; ?></label><br>
							<input type="radio" id="paypal_mode_sandbox" name="paypal_mode" value="0" <?= $checked_sandbox; ?>>
							<label for="paypal_mode_sandbox"><?= $txt_sandbox; ?></label>
						</div>

						<div class="form-row">
							<strong><?= $txt_paypal_merchant_id; ?></strong><br>
							<input type="text" id="paypal_merchant_id" name="paypal_merchant_id" class="form-control" value="<?= $paypal_merchant_id; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_paypal_sandbox_merch_id; ?></strong><br>
							<input type="text" id="paypal_sandbox_merch_id" name="paypal_sandbox_merch_id" class="form-control" value="<?= $paypal_sandbox_merch_id; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_paypal_bn; ?></strong><br>
							<?= $txt_paypal_bn_explain; ?>
							<input type="text" id="paypal_bn" name="paypal_bn" class="form-control" value="<?= $paypal_bn; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_paypal_checkout_logo_url; ?></strong><br>
							<?= $txt_paypal_checkout_logo_url_explain; ?>
							<input type="text" id="paypal_checkout_logo_url" name="paypal_checkout_logo_url" class="form-control" value="<?= $paypal_checkout_logo_url; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_currency_code; ?></strong><br>
							<?= $txt_currency_code_explain; ?>
							<input type="text" id="currency_code" name="currency_code" class="form-control" value="<?= $currency_code; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_currency_symbol; ?></strong><br>
							<input type="text" id="currency_symbol" name="currency_symbol" class="form-control" value="<?= $currency_symbol; ?>" />
						</div>

						<div class="form-row">
							<strong><?= $txt_paypal_locale; ?></strong><br>
							<select id="paypal_locale" name="paypal_locale" class="form-control">
								<?php
								foreach($paypal_locale_identifiers as $v) {
									$selected = '';
									if($v == $paypal_locale) $selected = 'selected'
									?>
									<option value="<?= $v; ?>" <?= $selected; ?>><?= $v; ?></option>
									<?php
								}
								?>
							</select>
						</div>

						<div class="form-row">
							<strong><?= $txt_notify_url; ?></strong><br>
							<?= $txt_notify_url_explain; ?><br>
							<input type="text" id="notify_url" name="notify_url" class="form-control" value="<?= $notify_url; ?>" />
						</div>
					</div><!-- .tab-pane -->
				</div><!-- .block .tab-content -->

				<div class="form-row submit-row">
					<input type="submit" id="submit" name="submit" class="btn btn-blue">
				</div>
			</form>
		</div><!-- .padding -->
	</div><!-- .main-container -->

	<div class="clear"></div>
</div><!-- .wrapper -->
<?php require_once(__DIR__ . '/_admin_footer.php'); ?>
<script>
$('#settingsTabs a:first').click(function (e) {
	e.preventDefault();
	$(this).tab('show');
})
</script>
</body>
</html>